Skip to main content
`Ctrl`+`K`

# TSSetConvergedReason

Sets the reason for handling the convergence of `TSSolve()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetConvergedReason(TS ts, TSConvergedReason reason)

Logically Collective; reason must contain common value

## Input Parameters

- ts - the `TS` context

- reason - negative value indicates diverged, positive value converged, see `TSConvergedReason` or the manual pages for the individual convergence tests for complete lists

## Note

Can only be called while `TSSolve()` is active.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSolve()`, `TSConvergedReason`

## Level

advanced

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex44.c
src/ts/tutorials/ex40.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages